Broken packages on 3.0.59 -> 3.0.60

  • Great thanks,


    however this update broke ZFS package :(


    Code
    Setting up openmediavault-zfs (3.0.6) ...
    WARNING: The function 'omv_config_add_element' is deprecated.
    WARNING: The function 'omv_config_add_element' is deprecated.
    WARNING: The function 'omv_config_add_element' is deprecated.
    modprobe: FATAL: Module zfs not found.
    dpkg: error processing package openmediavault-zfs (--configure):
    subprocess installed post-installation script returned error exit status 1
    Processing triggers for openmediavault (3.0.59) ...
    locale: Cannot set LC_CTYPE to default locale: No such file or directory
  • however this update broke ZFS package

    Kind of... The latest OMV enables the backports repo. So, you probably installed the backports kernel with the updates. This does not install the headers for this kernel. So, dkms cannot compile a new zfs module. Click the install backports kernel button in omv-extras to install the headers. Then, you may have to apt-get -f install from the command line.

    omv 5.6.0 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.5.3
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • Hello,


    Is OMV 3.0.60 available?


    Try to update today, and openmediavault-remotemount plugin required 3.0.60.



    OMV v5.0
    Asus Z97-A/3.1; i3-4370
    32GB RAM Corsair Vengeance Pro

  • Is OMV 3.0.60 available?

    Nope. And you don't need the remotemount update until you have 3.0.60. I shouldn't have pushed it to the repos but I wasn't paying attention that it required 3.0.60.

    omv 5.6.0 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.5.3
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • Thanks!

    Code
    sudo apt-get dist-upgrade

    This worked for me as well!


    I'm here this error when updating

  • How do I install openmediavault-remotemount on a new 3.0.59 system? I am getting the same depends on 3.0.60 error.

    I deleted the 3.0.3 package since it needs 3.0.60. 3.0.2 should install fine now. Just use the apt clean button in omv-extras.

    omv 5.6.0 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.5.3
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • I deleted the 3.0.3 package since it needs 3.0.60. 3.0.2 should install fine now. Just use the apt clean button in omv-extras.

    I tried that. It still gives the same error. Bear in mind, I never had the package installed, so it's not an update. I just installed OMV 3.0.59 fresh yesterday.

  • I tried that. It still gives the same error. Bear in mind, I never had the package installed, so it's not an update. I just installed OMV 3.0.59 fresh yesterday.

    3.0.3 isn't in the repo. If you do an apt clean, I don't know how the system could even know about 3.0.3 and 3.0.2 depends on OMV 3.0.52+

    omv 5.6.0 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.5.3
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • It only shows 3.0.3 when I try to install, even after doing an apt clean.



    I shouldn't have pushed it to the repos but I wasn't paying attention that it required 3.0.60.

    Does this mean that the repo has the newer version? Do I just need to wait for OMV 3.0.60?

  • Does this mean that the repo has the newer version? Do I just need to wait for OMV 3.0.60?

    I removed it from the repo. So, you don't need to do anything. Once 3.0.60 is released, I will put it back in the repo.

    omv 5.6.0 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.5.3
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • I have clicked on the Apt-clean button and even tried the update button net to it but no matter what I do the only option I have is remotemount 3.0.3 and when i try to install that I get the following:



    Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming.
    The following information may help to resolve the situation:


    The following packages have unmet dependencies:
    openmediavault-remotemount : Depends: cifs-utils but it is not installable
    Depends: curlftpfs but it is not installable
    Depends: openmediavault (>= 3.0.60) but 3.0.59 is to be installed
    E: Unable to correct problems, you have held broken packages.
    <<< *************************************


    >>> *************** Error ***************
    Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C; export DEBIAN_FRONTEND=noninteractive; apt-get --yes --force-yes --fix-missing --allow-unauthenticated --reinstall install openmediavault-remotemount 2>&1': Reading package lists...

  • I have clicked on the Apt-clean button and even tried the update button net to it but no matter what I do the only option I have is remotemount 3.0.3 and when i try to install that I get the following:

    You could just leave it that way until 3.0.60 is released. Otherwise, what is the output of: dpkg -l | grep openm

    omv 5.6.0 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.5.3
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • Do you know if it will be released soon? I had to rebuild my box over the weekend and I don't have any remote shares working.


    zed ~ # dpkg -l | grep openm
    ii openmediavault 3.0.59 all Open network attached storage solution
    ii openmediavault-keyring 1.0 all GnuPG archive keys of the OpenMediaVault archive
    ii openmediavault-netatalk 3.2.5 all OpenMediaVault netatalk (AppleTalk Protocol Suite) plugin
    ii openmediavault-nut 3.2.7 all OpenMediaVault Network UPS Tools (NUT) plugin
    ii openmediavault-omvextrasorg 3.4.14 all OMV-Extras.org Package Repositories for OpenMediaVault
    ii openmediavault-sensors 3.0 all Provides a cpu temperature monitor

  • zed ~ :( # apt-cache policy openmediavault-remotemount
    openmediavault-remotemount:
    Installed: (none)
    Candidate: 3.0.3
    Version table:
    3.0.3 0
    500 https://dl.bintray.com/openmed…velopers/erasmus-testing/ jessie/main amd64 Packages
    3.0.2 0
    500 https://dl.bintray.com/openmed…velopers/erasmus-testing/ jessie/main amd64 Packages
    3.0.1 0
    500 https://dl.bintray.com/openmed…velopers/erasmus-testing/ jessie/main amd64 Packages

  • Not sure why it is still listed... What is the output of: omv-aptclean

    omv 5.6.0 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.5.3
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!